Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.plumtree.remote.prc
Interface IACLEntry

public interface IACLEntry

An entry to an ACL specifying a user or group and their access level.

Method Summary
`AccessLevel` | `getAccessLevel()` Gets the access level granted by this ACLEntry.
`int` | `getPrincipalID()` The ID of the entry's principal.
`ObjectClass` | `getPrincipalObjectClass()` Returns the ObjectClass pertaining to this entry type.
`boolean` | `isReadOnly()` Whether this ACLEntry is read-only.
`void` | `setAccessLevel(AccessLevel newLevel)` Sets the access level granted by this ACLEntry.

Method Detail

### isReadOnly

    public boolean isReadOnly()

  Whether this ACLEntry is read-only.

  Returns:
    true if and only if this ACLEntry is read-only

### getPrincipalObjectClass

    public ObjectClass getPrincipalObjectClass()

  Returns the ObjectClass pertaining to this entry type. This will be either ObjectClass.User or ObjectClass.UserGroup.

  Returns:
    the entry class type

### getPrincipalID

    public int getPrincipalID()

  The ID of the entry's principal. If this is a UserGroup ACLEntry, this will be the group ID; if it is a User ACLEntry, this will be the user ID

  Returns:
    the principal ID

### getAccessLevel

    public AccessLevel getAccessLevel()

  Gets the access level granted by this ACLEntry.

  Returns:
    the contained access level

### setAccessLevel

    public void setAccessLevel(AccessLevel newLevel)

  Sets the access level granted by this ACLEntry.

  Parameters:
    `newLevel` - the access level to set

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

For additional information on the IDK, including tutorials, blogs, code samples and more, see the AquaLogic User Interaction Developer Center on BEA dev2dev.

Copyright ©2007 BEA Systems, Inc. All Rights Reserved.